
package com.cpm.lorealbaautomation.gsonGetterSetter;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;
import com.cpm.lorealbaautomation.reportGetterSetter.SkinGeniusUrl;

import java.util.List;

public class TableStructureGetterSetter {
    @SerializedName("Table_Structure")
    @Expose
    private List<TableStructure> tableStructure = null;

    public List<TableStructure> getTableStructure() {
        return tableStructure;
    }

    @SerializedName("Product_Master")
    @Expose
    private List<ProductMaster> productMaster = null;

    public List<ProductMaster> getProductMaster() {
        return productMaster;
    }

    @Expose
    private List<InwardSalesPO> inwardSalesPO = null;

    public List<InwardSalesPO> getInwardSalesPO() {
        return inwardSalesPO;
    }

    @SerializedName("Mapping_Visibility")
    @Expose
    private List<MappingVisibility> mappingVisibility = null;

    public List<MappingVisibility> getMappingVisibility() {
        return mappingVisibility;
    }

    @SerializedName("Master_Posm")
    @Expose
    private List<MasterPosm> masterPosm = null;

    public List<MasterPosm> getMasterPosm() {
        return masterPosm;
    }

    @SerializedName("Master_SkinType")
    @Expose
    private List<MasterSkinType> masterSkinType = null;

    public List<MasterSkinType> getMasterSkinType() {
        return masterSkinType;
    }

    @SerializedName("Master_AgeLimit")
    @Expose
    private List<MasterAgeLimit> masterAgeLimit = null;

    public List<MasterAgeLimit> getMasterAgeLimit() {
        return masterAgeLimit;
    }

    @SerializedName("SkinGeniusUrl")
    @Expose
    private List<SkinGeniusUrl> skinGeniusUrl = null;

    public List<SkinGeniusUrl> getSkinGeniusUrl() {
        return skinGeniusUrl;
    }
}
